> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/leasable-lock.md).

# Leasable Lock

Manage temporary entity and process locks in the VARIO Cloud API, including listing, extending, and releasing locks manually or automatically.

Locks for entities and processes (time-limited).

## PUT /cmn/leasable-locks/{token}

> Extend a lock

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"LeasableLock","description":"Locks for entities and processes (time-limited)."}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/leasable-locks/{token}":{"put":{"tags":["LeasableLock"],"summary":"Extend a lock","operationId":"refreshLeasableLock_4","parameters":[{"name":"token","in":"path","description":"Lock token.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"leasePeriod","in":"query","description":"Lease duration in seconds.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-locknlease-LeasableLockDto"}}}}}}}},"components":{"schemas":{"common-locknlease-LeasableLockDto":{"properties":{"key":{"type":"string","description":"Lock key.","readOnly":true},"token":{"type":"integer","format":"int64","description":"Lock token.","readOnly":true},"user":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"lockedBySystem":{"type":"boolean","default":false,"description":"Was this lock created by the system?","readOnly":true},"validUntil":{"type":"string","format":"date-time","description":"Expiry time.","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## DELETE /cmn/leasable-locks/{token}

> Release a lock automatically, controlled by the frontend

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"LeasableLock","description":"Locks for entities and processes (time-limited)."}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/leasable-locks/{token}":{"delete":{"tags":["LeasableLock"],"summary":"Release a lock automatically, controlled by the frontend","operationId":"removeLock","parameters":[{"name":"token","in":"path","description":"Lock token.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /cmn/leasable-locks

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"LeasableLock","description":"Locks for entities and processes (time-limited)."}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/leasable-locks":{"get":{"tags":["LeasableLock"],"operationId":"getAllActiveLocks","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/common-locknlease-LeasableLockDto"}}}}}}}}},"components":{"schemas":{"common-locknlease-LeasableLockDto":{"properties":{"key":{"type":"string","description":"Lock key.","readOnly":true},"token":{"type":"integer","format":"int64","description":"Lock token.","readOnly":true},"user":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"lockedBySystem":{"type":"boolean","default":false,"description":"Was this lock created by the system?","readOnly":true},"validUntil":{"type":"string","format":"date-time","description":"Expiry time.","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## DELETE /cmn/leasable-locks/custom/{token}

> Release a lock manually, e.g. via the system settings

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"LeasableLock","description":"Locks for entities and processes (time-limited)."}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/leasable-locks/custom/{token}":{"delete":{"tags":["LeasableLock"],"summary":"Release a lock manually, e.g. via the system settings","operationId":"customRemoveLock","parameters":[{"name":"token","in":"path","description":"Lock token.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/leasable-lock.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
